// Define a helper class that contains information about a single
// word, together with its position in the sketch
// window.

class Word
{
  String txt;
  float x;
  float y;

  // A basic constructor that stores one word passed in as a 
  // parameter.
  Word( String txtIn )
  {
    txt = txtIn;
    
    // TODO: set x and y to random initial locations, not 0.
    x = 0;
    y = 0;
  }
  
  // The next four methods will make it easier to draw the
  // word and hit test it, by helping you calculate the 
  // bounds of the rectangle enclosing the word.
  
  float getRectLeft()
  {
    return x - textWidth( txt ) / 2 - 5;
  }
  
  float getRectTop()
  {
    return y - textAscent() - 5;
  }
  
  float getRectWidth()
  {
    return textWidth( txt ) + 10;
  }
  
  float getRectHeight()
  {
    return textAscent() + textDescent() + 10;
  }
}
